
class Locale {
  final String languageCode;
  final String countryCode;

  Locale(this.languageCode, [this.countryCode]
      ) : assert(languageCode != null),
        assert(countryCode != '');

  @override
  String toString() {
    if (countryCode != null) {
      return '${languageCode}_$countryCode';
    }
    return languageCode;
  }
}